Subject: Re: 27.0.60; Multiline mini-window fails to resize after clearing message

From: martin rudalics <[email-masked]>
Date: Sun, 29 Dec 2019 19:33:52 +0100

> This is a regression, because in Emacs 26 this works as expected.
 >
 > The patch to fix this is below.  It reverts a small part of commit
 > 8e0ebb9, which inadvertently changed the logic in grow_mini_window.
 > The problem in this case was that old_height + delta evaluated to
 > zero, but instead of limiting the result to the equivalent of 1 line,
 > the code did nothing.

It apparently never entered my mind that WINDOW_BOX_TEXT_HEIGHT might
mean something different from the height of that window's buffer text.
Shameful.

Thanks for the fix, martin